#ifndef _FLASH_VARIABLES_H_
#define _FLASH_VARIABLES_H_

#define DOBA_ZAPNUTI_VETRAKU_OFFSET			0x01
#define DOBA_ZAPNUTI_SPLACHOVANI_OFFSET	0x03

typedef struct tagFLASH_VARIABLES
{
   // 0 - 7
   unsigned char nFirmwareVersion;           // verze firmware
   unsigned short wDobaZapnutiVetraku;       // pocet sekund casovace vypnuti vetraku 
   unsigned short wDobaZapnutiSplachovani;   // pocet sekund casovace zapnuti splachovani
   unsigned char nNotUsed5;
   unsigned char nNotUsed6;
   unsigned char nNotUsed7;
   
   // 8 - 15
   unsigned char bNotUsed8;
   unsigned char bNotUsed9;
   unsigned char bNotUsed10;
   unsigned char bNotUsed11;    
   unsigned char bNotUsed12;
   unsigned char bNotUsed13;
   unsigned char bNotUsed14;
   unsigned char bNotUsed15;
     
   // 16 - 23
   unsigned char bNotUsed16;
   unsigned char bNotUsed17;
   unsigned char bNotUsed18;
   unsigned char bNotUsed19;    
   unsigned char bNotUsed20;
   unsigned char bNotUsed21;
   unsigned char bNotUsed22;
   unsigned char bNotUsed23;
     
   // 24 - 31
   unsigned char bNotUsed24;
   unsigned char bNotUsed25;
   unsigned char bNotUsed26;
   unsigned char bNotUsed27;
   unsigned char bNotUsed28;
   unsigned char bNotUsed29;
   unsigned char bNotUsed30;
   unsigned char bNotUsed31;
     
   // 32 - 39
   unsigned char bNotUsed32;
   unsigned char bNotUsed33;
   unsigned char bNotUsed34;
   unsigned char bNotUsed35;
   unsigned char bNotUsed36;
   unsigned char bNotUsed37;
   unsigned char bNotUsed38;
   unsigned char bNotUsed39;
     
   // 40 - 47
   unsigned char bNotUsed40;
   unsigned char bNotUsed41;
   unsigned char bNotUsed42;
   unsigned char bNotUsed43;
   unsigned char bNotUsed44;
   unsigned char bNotUsed45;
   unsigned char bNotUsed46;
   unsigned char bNotUsed47;
     
   // 48 - 55
   unsigned char bNotUsed48;
   unsigned char bNotUsed49;
   unsigned char bNotUsed50;
   unsigned char bNotUsed51;     
   unsigned char bNotUsed52;
   unsigned char bNotUsed53;
   unsigned char bNotUsed54;
   unsigned char bNotUsed55;
     
   // 56 - 63
   unsigned char bNotUsed56;
   unsigned char bNotUsed57;
   unsigned char bNotUsed58;
   unsigned char bNotUsed59;    
   unsigned char bNotUsed60;
   unsigned char bNotUsed61;
   unsigned char bNotUsed62;
   unsigned char bNotUsed63;
} FLASH_VARIABLES;

extern const FLASH_VARIABLES g_flashVariables;

void volatile StoreFLASHVariableEx( const unsigned char nDataOffset, 
												const short data );
void volatile StoreFLASHVariable( const unsigned char nDataOffset, 
											 const unsigned char nData );

#endif